Bug 1835576 - [ovirt] allow template parameters customization (mem/cpu/disk) in the machine
Summary: [ovirt] allow template parameters customization (mem/cpu/disk) in the machine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.4.z
Assignee: Roy Golan
QA Contact: Guilherme Santos
URL:
Whiteboard:
Depends On: 1813741
Blocks: 1830001 1820300 1835795
TreeView+ depends on / blocked
 
Reported: 2020-05-14 05:33 UTC by Roy Golan
Modified: 2020-06-02 11:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1813741
Environment:
Last Closed: 2020-06-02 11:18:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-api-provider-ovirt pull 48 None closed Bug 1835576: Downport instance customizaton based machine-pool 2020-06-16 08:39:43 UTC
Red Hat Product Errata RHBA-2020:2310 None None None 2020-06-02 11:19:09 UTC

Comment 3 Jan Zmeskal 2020-05-22 12:34:20 UTC
I can verify this only indirectly via verifying https://bugzilla.redhat.com/show_bug.cgi?id=1835795

Comment 4 Guilherme Santos 2020-05-25 16:39:03 UTC
Verified on:
openshift-install-linux-4.4.0-0.nightly-2020-05-24-133612

Steps:
1. created a config file: # openshift-install create --dir install_files/ install_config
2. edited the install-config.yaml setting the following variables with non-default value (XX)
(...)
controlPlane/compute:
  name: master/worker
  platform:
    ovirt:
      cpu:
        cores: XX
        sockets: XX
      memoryMB: XX
      osDisk:
        sizeGB: XX
      vmType: high_performance
(...)
platform:
  ovirt:
    api_vip: <ip>
    dns_vip: <ip>
    ingress_vip: <ip>
    ovirt_cluster_id: <id>
    ovirt_storage_domain_id: <id>
    ovirt_network_name: ovirtmgmt
    vnicProfileID: <id>
(...)

3. # openshift-install create --dir install_files/ cluster
4. on UI, checked the created machines properties

Results:
installation successfully finished and non-default properties set on yaml file present on vms

Comment 6 errata-xmlrpc 2020-06-02 11:18:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2310


Note You need to log in before you can comment on or make changes to this bug.